SystemOrganization addCategory: #ConfigurationOfAconcagua!

ConfigurationOf subclass: #ConfigurationOfAconcagua
	instanceVariableNames: ''
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAconcagua'!

!ConfigurationOfAconcagua class methodsFor: 'development support' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAconcagua class methodsFor: 'private' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAconcagua class methodsFor: 'private' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAconcagua class methodsFor: 'private' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAconcagua class methodsFor: 'metacello tool support' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAconcagua class methodsFor: 'loading' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfAconcagua class methodsFor: 'loading' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfAconcagua class methodsFor: 'loading' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfAconcagua class methodsFor: 'accessing' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
project

	^self new project! !

!ConfigurationOfAconcagua class methodsFor: 'development support' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAconcagua methodsFor: 'baselines' stamp: 'MaximilianoTaborda 5/30/2013 00:24'!
baseline300: spec
	<version: '3.0.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: '- Aconcagua published to SmalltalkHub'.
			spec repository: 'http://smalltalkhub.com/mc/maxi/Aconcagua/main'.
			spec
				package: 'Aconcagua-ArithmeticModel-Core';
				package: 'Aconcagua-ArithmeticModel-Tests' with: [ spec requires: 'Aconcagua-ArithmeticModel-Core' ];
				package: 'Aconcagua-GraphModel-Core';
				package: 'Aconcagua-GraphModel-Tests' with: [ spec requires: 'Aconcagua-GraphModel-Core' ];
				package: 'Aconcagua-MeasureModel-Core';
				package: 'Aconcagua-MeasureModel-Tests' with: [ spec requires: 'Aconcagua-MeasureModel-Core' ].
			spec
				group: 'default' with: #('Core' 'Tests');
				group: 'Core' with: #('Aconcagua-ArithmeticModel-Core' 'Aconcagua-GraphModel-Core' 'Aconcagua-MeasureModel-Core');
				group: 'Tests'
					with: #('Aconcagua-ArithmeticModel-Tests' 'Aconcagua-GraphModel-Tests' 'Aconcagua-MeasureModel-Tests') ]! !

!ConfigurationOfAconcagua methodsFor: 'baselines' stamp: 'MaximilianoTaborda 3/21/2014 20:30'!
baseline310: spec
	<version: '3.1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: '- Aconcagua published to SmalltalkHub'.
			spec repository: 'http://smalltalkhub.com/mc/maxi/Aconcagua/main'.
			spec
				package: 'Aconcagua-Core';
				package: 'Aconcagua-Tests' with: [ spec requires: 'Aconcagua-Core' ].
			spec
				group: 'default' with: #('Core' 'Tests');
				group: 'Core' with: #('Aconcagua-Core');
				group: 'Tests' with: #('Aconcagua-Tests') ]! !

!ConfigurationOfAconcagua methodsFor: 'baselines' stamp: 'MaximilianoTaborda 4/22/2015 22:50'!
baseline311: spec
	<version: '3.1.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: '- Aconcagua final for 4.x images'.
			spec repository: 'http://smalltalkhub.com/mc/maxi/Aconcagua/main'.
			spec
				package: 'Aconcagua-Core';
				package: 'Aconcagua-Tests' with: [ spec requires: 'Aconcagua-Core' ].
			spec
				group: 'default' with: #('Core' 'Tests');
				group: 'Core' with: #('Aconcagua-Core');
				group: 'Tests' with: #('Aconcagua-Tests') ]! !

!ConfigurationOfAconcagua methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 5/29/2013 00:45'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: #'notDefined'! !

!ConfigurationOfAconcagua methodsFor: 'accessing' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfAconcagua methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 5/28/2013 23:39'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'! !

!ConfigurationOfAconcagua methodsFor: 'accessing' stamp: 'MaximilianoTaborda 5/28/2013 01:18'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAconcagua methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 4/22/2015 23:32'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '4.0.0'! !

!ConfigurationOfAconcagua methodsFor: 'versions' stamp: 'MaximilianoTaborda 2/19/2014 14:37'!
version300: spec
	<version: '3.0.0' imports: #('3.0.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec description: '3.0.0 final'.
			spec author: 'MaximilianoTaborda'.
			spec
				package: 'Aconcagua-ArithmeticModel-Core' with: 'Aconcagua-ArithmeticModel-Core-MaximilianoTaborda.3.0.0';
				package: 'Aconcagua-ArithmeticModel-Tests' with: 'Aconcagua-ArithmeticModel-Tests-MaximilianoTaborda.3.0.0';
				package: 'Aconcagua-GraphModel-Core' with: 'Aconcagua-GraphModel-Core-MaximilianoTaborda.3.0.0';
				package: 'Aconcagua-GraphModel-Tests' with: 'Aconcagua-GraphModel-Tests-MaximilianoTaborda.3.0.0';
				package: 'Aconcagua-MeasureModel-Core' with: 'Aconcagua-MeasureModel-Core-MaximilianoTaborda.3.0.0';
				package: 'Aconcagua-MeasureModel-Tests' with: 'Aconcagua-MeasureModel-Tests-MaximilianoTaborda.3.0.2' ]! !

!ConfigurationOfAconcagua methodsFor: 'versions' stamp: 'MaximilianoTaborda 4/30/2014 17:13'!
version310: spec
	<version: '3.1.0' imports: #('3.1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec description: '3.1.0 final'.
			spec author: 'MaximilianoTaborda'.
			spec
				package: 'Aconcagua-Core' with: 'Aconcagua-Core-MaximilianoTaborda.3.1.1';
				package: 'Aconcagua-Tests' with: 'Aconcagua-Tests-MaximilianoTaborda.3.1.0' ]! !

!ConfigurationOfAconcagua methodsFor: 'versions' stamp: 'MaximilianoTaborda 4/22/2015 22:49'!
version311: spec
	<version: '3.1.1' imports: #('3.1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec description: '3.1.1 final'.
			spec author: 'MaximilianoTaborda'.
			spec
				package: 'Aconcagua-Core' with: 'Aconcagua-Core-MaximilianoTaborda.3.1.1';
				package: 'Aconcagua-Tests' with: 'Aconcagua-Tests-MaximilianoTaborda.3.1.1' ]! !

!ConfigurationOfAconcagua methodsFor: 'versions' stamp: 'MaximilianoTaborda 4/29/2015 17:25'!
version400: spec
	<version: '4.0.0'>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec description: '- Aconcagua final for 4.x images'.
			spec author: 'MaximilianoTaborda'.
			spec
				baseline: 'Aconcagua'
				with: [ spec repository: 'github://mtaborda/aconcagua:master/repository' ]]! !
